Subject: Re: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll point off screen temporarily

From: Juri Linkov <[email-masked]>
Date: Thu, 06 Dec 2018 01:49:30 +0200

> I have a question: I customized isearch-yank-on-move now to shift, but
> left and right still exit isearch, I think because I (well, I guess, not
> only I) have a global binding of shift-left and shift-right.

Isn't this binding of shift-left and shift-right from Org mode?
I still have no solution how to use this feature in Org mode.

Or maybe your shift-left and shift-right bindings come from
windmove-default-keybindings?  There is still no solution
because windmove's global shift-binding exits Isearch
and moves to another window.

> Is there a way to make shift-left and shift-right work nonetheless?  I
> tried
>
> #+begin_src emacs-lisp
>   (define-key isearch-mode-map [(shift left)]  nil)
>   (define-key isearch-mode-map [(shift right)] nil)
> #+end_src
>
> but that doesn't seem to do it.

I tried their original keybindings

(define-key isearch-mode-map [(shift left)]  'left-char)
(define-key isearch-mode-map [(shift right)] 'right-char)

but it still doesn't work.  Maybe we should support shift-key in isearch
explicitly, not relying on this-command-keys-shift-translated.